Package com.independentsoft.office.spreadsheet

# Class ChartSheetProtection

java.lang.Object
com.independentsoft.office.spreadsheet.ChartSheetProtection

public class ChartSheetProtection extends Object
The Class ChartSheetProtection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChartSheetProtection()`
  Instantiates a new chart sheet protection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChartSheetProtection`
  `clone()`
  `String`
  `getPassword()`
  Gets the password.
  `boolean`
  `isContentLocked()`
  Checks if is content locked.
  `boolean`
  `isObjectsLocked()`
  Checks if is objects locked.
  `void`
  `setContentLocked​(boolean contentLocked)`
  Sets the content locked.
  `void`
  `setObjectsLocked​(boolean objectsLocked)`
  Sets the objects locked.
  `void`
  `setPassword​(String password)`
  Sets the password.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChartSheetProtection

    public ChartSheetProtection()
    Instantiates a new chart sheet protection.

- ## Method Details

  - ### clone

    public ChartSheetProtection clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isContentLocked

    public boolean isContentLocked()
    Checks if is content locked.
    Returns:
      true, if is content locked

  - ### setContentLocked

    public void setContentLocked​(boolean contentLocked)
    Sets the content locked.
    Parameters:
      `contentLocked` - the new content locked

  - ### isObjectsLocked

    public boolean isObjectsLocked()
    Checks if is objects locked.
    Returns:
      true, if is objects locked

  - ### setObjectsLocked

    public void setObjectsLocked​(boolean objectsLocked)
    Sets the objects locked.
    Parameters:
      `objectsLocked` - the new objects locked

  - ### getPassword

    public String getPassword()
    Gets the password.
    Returns:
      the password

  - ### setPassword

    public void setPassword​(String password)
    Sets the password.
    Parameters:
      `password` - the new password